<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "unit";
$formname = "Unit Print";
$file = "item_print_fr.php";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

$name = $_POST['unit'];

$namecond = "";


if (!empty($name)) {
    $namecond = " AND `code`='$name' ";
}

$getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE code!='' $namecond ")or die(mysqli_error($conn));

if (isset($_POST["view"])) {

    include("includes/linkshead.php");
    ?>
    <script src="MyScript/item.js" type="text/javascript"></script>
    </head>
    <body>
        <div class="container">
            <div class="row">
                <div class="col-lg-6">
                    <label class="label-control marg">Date - </label>
                    <label class="label-control marg"><?php Echo Date("d-m-Y"); ?></label>
                </div>
                <div class="col-lg-6">
                    <label class="label-control marg">Print - </label>
                    <label class="label-control marg"><?php Echo $formname; ?></label>
                </div>
                <div class="col-lg-1">
                    <a onclick="window.close()"  class="btn btn-primary">GO Back</a>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-hover">
                        <tr class="mySearchTr">
                            <th>Code</th>
                            <th>Name</th>

                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {

                            Echo "<tr>";
                            Echo "<td>$pmain[code]</td>";
                            Echo "<td>$pmain[name]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?
}


if (isset($_POST["subpdf"])) {

    require("library/fpdf/fpdf.php");

    class pdf extends fpdf {

        function Footer() {



//Position at 1.5 cm from bottom

            $this->SetY(-15);

//Arial italic 8

            $this->SetFont('Arial', 'I', 8);

//Page number

            $this->Cell(0, 10, 'Page ' . $this->PageNo() . '/{nb}', 0, 0, 'C');
        }

    }

    $pdf = new pdf('L', 'mm', 'A4');

    $pdf->AliasNbPages();

    $pdf->AddPage();

//$pdf->SetMargins(1,1,1);
//$pdf->SetXY(5,5);
    include 'includes/head_rep_pdf.php';

    $pdf->Cell(10, 7, '', 0, 'C');
    $pdf->Ln();

    $pdf->SetFont('Arial', 'B', 10);
    $pdf->SetTextColor(255, 255, 255);
    $pdf->SetFillColor(72, 25, 89);
    $pdf->Cell(30, 8, 'Sr.', 1, 0, '', 1);
    $pdf->Cell(248, 8, 'Name', 1, 0, '', 1);
    $pdf->SetTextColor(0, 0, 0);
    $pdf->Ln();

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        $pdf->SetFont('Arial', '', 10);
//        $pdf->SetTextColor(0, 0, 0);
        $pdf->SetFillColor(255, 255, 255);
        $pdf->Cell(30, 8, $pmain[code], 1, 0, '', 1);
        $pdf->Cell(248, 8, $pmain[name], 1, 0, '', 1);

//        $pdf->SetTextColor(0, 0, 0);
        $pdf->Ln();
    }
    $pdf->Output('UnitPrint.pdf', 'D');
}



if (isset($_POST["excel"])) {

    include 'includes/head_rep_excel.php';

    $contents .= "Code,Name\n";
    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $contents .= $pmain[code] . ",";
        $contents .= $pmain[name] . "\n";
        $ctr++;
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>
